<?xml version="1.0" encoding="UTF-8"?>
<testsuite name="world.respect.domain.account.invite.RedeemInviteIntegrationTest" tests="1" skipped="0" failures="0" errors="0" timestamp="2025-11-12T04:13:44.187Z" hostname="devserver3" time="3.48">
  <properties/>
  <testcase name="givenValidInviteRedeemCode_whenInviteRequestSubmitted_thenUserAndEnrollmentsCreated[jvm]" classname="world.respect.domain.account.invite.RedeemInviteIntegrationTest" time="3.48"/>
  <system-out><![CDATA[05:13:44,275 |-INFO in ch.qos.logback.classic.LoggerContext[default] - This is logback-classic version 1.5.18
05:13:44,276 |-INFO in ch.qos.logback.classic.util.ContextInitializer@30b9eadd - No custom configurators were discovered as a service.
05:13:44,276 |-INFO in ch.qos.logback.classic.util.ContextInitializer@30b9eadd - Trying to configure with ch.qos.logback.classic.joran.SerializedModelConfigurator
05:13:44,277 |-INFO in ch.qos.logback.classic.util.ContextInitializer@30b9eadd - Constructed configurator of type class ch.qos.logback.classic.joran.SerializedModelConfigurator
05:13:44,277 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback-test.scmo]
05:13:44,278 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback.scmo]
05:13:44,281 |-INFO in ch.qos.logback.classic.util.ContextInitializer@30b9eadd - ch.qos.logback.classic.joran.SerializedModelConfigurator.configure() call lasted 1 milliseconds. ExecutionStatus=INVOKE_NEXT_IF_ANY
05:13:44,281 |-INFO in ch.qos.logback.classic.util.ContextInitializer@30b9eadd - Trying to configure with ch.qos.logback.classic.util.DefaultJoranConfigurator
05:13:44,282 |-INFO in ch.qos.logback.classic.util.ContextInitializer@30b9eadd - Constructed configurator of type class ch.qos.logback.classic.util.DefaultJoranConfigurator
05:13:44,282 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback-test.xml]
05:13:44,284 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Found resource [logback.xml] at [jar:file:/home/jenkins/.jenkins/workspace/RESPECT-parent-child-link/respect-server/build/libs/respect-server-1.0.0.jar!/logback.xml]
05:13:44,288 |-INFO in ConfigurationWatchList(mainURL=jar:file:/home/jenkins/.jenkins/workspace/RESPECT-parent-child-link/respect-server/build/libs/respect-server-1.0.0.jar!/logback.xml, fileWatchList={}, urlWatchList=[}) - URL [jar:file:/home/jenkins/.jenkins/workspace/RESPECT-parent-child-link/respect-server/build/libs/respect-server-1.0.0.jar!/logback.xml] is not of type file
05:13:44,349 |-INFO in ch.qos.logback.core.model.processor.ModelInterpretationContext@155d1021 - value "./log/" substituted for "${logs_dir:-./log/}"
05:13:44,350 |-INFO in ch.qos.logback.core.model.processor.AppenderModelHandler - Processing appender named [FILE]
05:13:44,350 |-INFO in ch.qos.logback.core.model.processor.AppenderModelHandler - About to instantiate appender of type [ch.qos.logback.core.rolling.RollingFileAppender]
05:13:44,356 |-INFO in ch.qos.logback.core.model.processor.ModelInterpretationContext@155d1021 - value "./log//respect-server.log" substituted for "${LOG_DIR}/respect-server.log"
05:13:44,358 |-INFO in ch.qos.logback.core.model.processor.ModelInterpretationContext@155d1021 - value "./log//respect-server.%d{yyyy-MM-dd}.%i.log" substituted for "${LOG_DIR}/respect-server.%d{yyyy-MM-dd}.%i.log"
05:13:44,364 |-INFO in c.q.l.core.rolling.TimeBasedRollingPolicy@1272115420 - No compression will be used
05:13:44,376 |-INFO in c.q.l.core.rolling.TimeBasedRollingPolicy@1272115420 - Will use the pattern ./log//respect-server.%d{yyyy-MM-dd}.%i.log for the active file
05:13:44,376 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@2e647e59 - SizeAndTimeBasedFNATP class was renamed as SizeAndTimeBasedFileNamingAndTriggeringPolicy.
05:13:44,378 |-INFO in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@2e647e59 - The date pattern is 'yyyy-MM-dd' from file name pattern './log//respect-server.%d{yyyy-MM-dd}.%i.log'.
05:13:44,378 |-INFO in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@2e647e59 - Roll-over at midnight.
05:13:44,378 |-INFO in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@2e647e59 - Setting initial period to 2025-11-11T04:13:49.232Z
05:13:44,378 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@2e647e59 - Direct use of either SizeAndTimeBasedFNATP or SizeAndTimeBasedFileNamingAndTriggeringPolicy 
05:13:44,378 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@2e647e59 - is deprecated. Please use SizeAndTimeBasedRollingPolicy instead.
05:13:44,378 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@2e647e59 - For more information see https://logback.qos.ch/manual/appenders.html#SizeAndTimeBasedRollingPolicy
05:13:44,381 |-INFO in ch.qos.logback.core.model.processor.ImplicitModelHandler - Assuming default type [ch.qos.logback.classic.encoder.PatternLayoutEncoder] for [encoder] property
05:13:44,396 |-INFO in ch.qos.logback.core.rolling.RollingFileAppender[FILE] - Active log file name: ./log//respect-server.log
05:13:44,397 |-INFO in ch.qos.logback.core.rolling.RollingFileAppender[FILE] - Setting currentFileLength to 406 for ./log/respect-server.log
05:13:44,397 |-INFO in ch.qos.logback.core.rolling.RollingFileAppender[FILE] - File property is set to [./log//respect-server.log]
05:13:44,398 |-INFO in ch.qos.logback.classic.model.processor.RootLoggerModelHandler - Setting level of ROOT logger to TRACE
05:13:44,398 |-INFO in ch.qos.logback.core.model.processor.AppenderRefModelHandler - Attaching appender named [FILE] to Logger[ROOT]
05:13:44,398 |-INFO in ch.qos.logback.classic.model.processor.LoggerModelHandler - Setting level of logger [org.eclipse.jetty] to INFO
05:13:44,398 |-INFO in ch.qos.logback.classic.model.processor.LoggerModelHandler - Setting level of logger [io.netty] to INFO
05:13:44,398 |-INFO in ch.qos.logback.core.model.processor.DefaultProcessor@2c42b421 - End of configuration.
05:13:44,398 |-INFO in ch.qos.logback.classic.joran.JoranConfigurator@51e37590 - Registering current configuration as safe fallback point
05:13:44,399 |-INFO in ch.qos.logback.classic.util.ContextInitializer@30b9eadd - ch.qos.logback.classic.util.DefaultJoranConfigurator.configure() call lasted 117 milliseconds. ExecutionStatus=DO_NOT_INVOKE_NEXT_IF_ANY

]]></system-out>
  <system-err><![CDATA[Mockito is currently self-attaching to enable the inline-mock-maker. This will no longer work in future releases of the JDK. Please add Mockito as an agent to your build as described in Mockito's documentation: https://javadoc.io/doc/org.mockito/mockito-core/latest/org.mockito/org/mockito/Mockito.html#0.3
WARNING: A Java agent has been loaded dynamically (/home/jenkins/.gradle/caches/modules-2/files-2.1/net.bytebuddy/byte-buddy-agent/1.15.11/a38b16385e867f59a641330f0362ebe742788ed8/byte-buddy-agent-1.15.11.jar)
WARNING: If a serviceability tool is in use, please run with -XX:+EnableDynamicAgentLoading to hide this warning
WARNING: If a serviceability tool is not in use, please run with -Djdk.instrument.traceUsage for more information
WARNING: Dynamic loading of agents will be disallowed by default in a future release
]]></system-err>
</testsuite>
